/*
This file is part of the Juju GUI, which lets users view and manage Juju
environments within a graphical interface (https://launchpad.net/juju-gui).
Copyright (C) 2017 Canonical Ltd.

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Affero General Public License version 3, as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
General Public License for more details.

You should have received a copy of the GNU Affero General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

'use strict';

YUI.add('settings', function () {

  var Settings = function (props) {
    return React.createElement(
      'div',
      null,
      React.createElement(
        'div',
        { className: 'twelve-col no-margin-bottom' },
        React.createElement(
          'h2',
          { className: 'bordered' },
          'Custom GUI Settings'
        ),
        React.createElement(
          'span',
          { className: 'close', tabIndex: '0', role: 'button' },
          React.createElement(juju.components.SvgIcon, { name: 'close_16',
            size: '16' })
        )
      ),
      React.createElement(
        'div',
        { className: 'content' },
        React.createElement(
          'p',
          null,
          React.createElement(
            'label',
            { htmlFor: 'disable-cookie' },
            React.createElement('input', { type: 'checkbox', name: 'disable-cookie', id: 'disable-cookie',
              defaultChecked: props.disableCookie }),
            '\xA0 Disable the EU cookie warning.'
          )
        ),
        React.createElement(
          'p',
          null,
          React.createElement(
            'label',
            { htmlFor: 'force-containers' },
            React.createElement('input', { type: 'checkbox', name: 'force-containers',
              id: 'force-containers',
              defaultChecked: props.forceContainers }),
            '\xA0 Enable container control for this provider.'
          )
        ),
        React.createElement(
          'p',
          null,
          React.createElement(
            'label',
            { htmlFor: 'disable-auto-place' },
            React.createElement('input', { type: 'checkbox', name: 'disable-auto-place',
              id: 'disable-auto-place',
              defaultChecked: props.disableAutoPlace }),
            '\xA0 Default to not automatically place units on commit.'
          )
        ),
        React.createElement(
          'p',
          null,
          React.createElement(
            'small',
            null,
            'NOTE: You will need to reload for changes to take effect.'
          )
        ),
        React.createElement('input', { type: 'button', className: 'button--positive',
          name: 'save-settings',
          id: 'save-settings', value: 'Save' })
      )
    );
  };

  Settings.propTypes = {
    disableAutoPlace: React.PropTypes.bool,
    disableCookie: React.PropTypes.bool,
    forceContainers: React.PropTypes.bool
  };

  juju.components.Settings = Settings;
}, '0.1.0', { requires: ['svg-icon'] });